Skip to main content
PUT
/
customers
/
{customerId}
Update Customer
curl --request PUT \
  --url https://connect.withvayu.com/customers/{customerId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "aliases": [],
  "contacts": [
    {
      "name": "<string>",
      "email": "<string>",
      "title": "<string>",
      "phone": "<string>",
      "receiveInvoiceEmail": true
    }
  ],
  "source": "Stripe",
  "legalName": "<string>",
  "taxIds": [],
  "taxId": "<string>",
  "cloudProviderSettings": {
    "cloudProvider": "AWS",
    "cloudProviderMarketplaceId": "<string>",
    "customerIdentifier": "<string>"
  },
  "externalId": "<string>",
  "customerErpId": "<string>",
  "address": {
    "country": "<string>",
    "city": "<string>",
    "addressText": "<string>",
    "state": "<string>",
    "postalCode": "<string>"
  },
  "salesForceAccountId": "<string>",
  "dueDays": "END_OF_MONTH",
  "currency": "USD",
  "customFields": [
    {
      "vayuCustomFieldName": "<string>",
      "valueType": "String",
      "integrationSource": "NetSuite",
      "integrationEntityType": "Account",
      "fieldPath": "<string>",
      "value": "<unknown>"
    }
  ],
  "subsidiary": "<string>",
  "totalOutstandingAmount": 123,
  "openAmount": 123,
  "overdueAmount": 123,
  "pendingPaymentAmount": 123,
  "paidAmount": 123
}
'
{
  "customer": {
    "name": "<string>",
    "id": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "aliases": [],
    "contacts": [
      {
        "name": "<string>",
        "email": "<string>",
        "title": "<string>",
        "phone": "<string>",
        "receiveInvoiceEmail": true
      }
    ],
    "source": "Stripe",
    "legalName": "<string>",
    "taxIds": [],
    "taxId": "<string>",
    "cloudProviderSettings": {
      "cloudProvider": "AWS",
      "cloudProviderMarketplaceId": "<string>",
      "customerIdentifier": "<string>"
    },
    "externalId": "<string>",
    "customerErpId": "<string>",
    "address": {
      "country": "<string>",
      "city": "<string>",
      "addressText": "<string>",
      "state": "<string>",
      "postalCode": "<string>"
    },
    "salesForceAccountId": "<string>",
    "dueDays": "END_OF_MONTH",
    "currency": "USD",
    "customFields": [
      {
        "vayuCustomFieldName": "<string>",
        "valueType": "String",
        "integrationSource": "NetSuite",
        "integrationEntityType": "Account",
        "fieldPath": "<string>",
        "value": "<unknown>"
      }
    ],
    "subsidiary": "<string>",
    "totalOutstandingAmount": 123,
    "openAmount": 123,
    "overdueAmount": 123,
    "pendingPaymentAmount": 123,
    "paidAmount": 123
  }
}

Documentation Index

Fetch the complete documentation index at: https://guide.withvayu.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

customerId
string
required
Pattern: ^[0-9a-fA-F]{24}$

Body

application/json
name
string

The name of the customer

aliases
string[] | null

The aliases of the customer used to match events to the customer.

contacts
object[] | null

The contacts of the customer. Contact marked as primary is the target for invoice sharing.

source
enum<string> | null

The source of the customer

Available options:
Stripe,
VayuEventsApi,
Api,
Salesforce,
HubSpot

The legal name of the customer

taxIds
string[] | null

The tax IDs of the customer

taxId
string | null
deprecated

The tax ID of the customer (deprecated, use taxIds instead)

cloudProviderSettings
object

Cloud provider settings for the customer

externalId
string

The external ID of the customer

customerErpId
string | null

The ID of the customer in the ERP system

address
object

The address of the customer

salesForceAccountId
string | null

The ID of the customer in the Salesforce system

dueDays
enum<string> | null

The due days of the customer

Available options:
END_OF_MONTH,
SAME_DAY,
15_DAYS,
30_DAYS,
45_DAYS,
60_DAYS,
90_DAYS
currency
enum<string> | null

The billing currency of the customer

Available options:
USD,
EUR,
GBP,
ILS,
CAD,
AUD,
COP,
BRL
customFields
object[] | null

Custom fields from CRM systems (Salesforce, HubSpot, etc.)

subsidiary
string | null

The name of the subsidiary of the customer

totalOutstandingAmount
number

Total outstanding amount across all unpaid invoices (in USD)

openAmount
number

Total amount of invoices with no billing status set (in USD)

overdueAmount
number

Total amount of overdue invoices (in USD)

pendingPaymentAmount
number

Total amount of invoices pending payment (in USD)

paidAmount
number

Total amount of paid invoices (in USD)

Response

RequestSuccess

customer
object
required